#!/bin/sh
FNGSYSTEM_SIZE=$(stat -c "%s" "$(realpath fngsystem-image-seco-mx6.cpio.gz)")
echo "exec -b 0x10010000 -r 0x13C00000 -s $FNGSYSTEM_SIZE \"console=ttymxc0,115200 root=/dev/ram0 rootfstype=ramfs rdinit=/sbin/init cma=0 fngsystem=mfg\"" > fngboot-mx6.cfg

cat uImage-seco-mx6.bin imx6dl-santoka.dtb > linuximage

UUU=$(which uuu 2>/dev/null)
if [ -z "$UUU" ];then
    UUU="$(dirname "$0")/uuu"
fi
$UUU -d -b uuu-seco-mx6.lst fngboot.bin fngboot-mx6.cfg linuximage fngsystem-image-seco-mx6.cpio.gz
